Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector
Class IdeInspectorProperty

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorProperty

Direct Known Subclasses:
  IdeMultipleInspectorProperty, PropertyMapInspectorProperty, ReadOnlyProperty, RwiInspectorProperty

public abstract class IdeInspectorProperty
extends FeatureDescriptor

Class `IdeInspectorProperty` represents a property inside an inspector component.

Author:
  TogetherSoft
See Also: IdeInspectorComponent

Field Summary
`final static String` | `MULTI_VALUE_TAG`
`final static String` | `PROP_VALUE`
`final static Object` | `UNDEFINED_VALUE`

Constructor Summary
`IdeInspectorProperty(Class valueType)` Constructs a property with the specified type and without editor class.
`IdeInspectorProperty(Class valueType, Class editorClass)` Constructs a property with specified type and editor class.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds specified listener for the `PropertyChange` event.
`abstract boolean` | `canSetValue(Object value)` Checks for the possibily to set specified value for this property.
`protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)` Initiates the event of updating the specified property with the new value passed as a parameter.
`PropertyEditor` | `getPropertyEditor()` Returns the editor for this property if it's specified through setPropertyEditor, otherwise returns `null`.
`abstract Object` | `getValue()` Returns the value of this property.
`Class` | `getValueType()` Returns Type of value of this property.
`abstract boolean` | `isReadable()` Checks if it is possible to read the value of this property.
`abstract boolean` | `isWritable()` Checks if it is possible to write the value for this property.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes specified listener for `PropertyChange` event.
`void` | `setPropertyEditor(PropertyEditor editor)` Sets specified editor for this property.
`abstract void` | `setValue(Object value)` Sets value for this property.
`void` | `update()` Updates this inspector property.

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### MULTI_VALUE_TAG

    public final static String MULTI_VALUE_TAG

### PROP_VALUE

    public final static String PROP_VALUE

### UNDEFINED_VALUE

    public final static Object UNDEFINED_VALUE

Constructor Detail

### IdeInspectorProperty

    public IdeInspectorProperty(Class valueType)

  Constructs a property with the specified type and without editor class.
  Parameters:
    valueType - `Class` that defines the property type

### IdeInspectorProperty

    public IdeInspectorProperty(Class valueType, Class editorClass)

  Constructs a property with specified type and editor class.
  Parameters:
    valueType - `Class` that defines the property type
    editorClass - `Class` which will be used to edit this property

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Adds specified listener for the `PropertyChange` event.
  Parameters:
    listener - `PropertyChangeListener` to be added

### canSetValue

    public abstract boolean canSetValue(Object value)

  Checks for the possibily to set specified value for this property.
  Parameters:
    value - `Object` Value to be checked
  Returns: `true` if this value is OK, `false` otherwise

### firePropertyChange

    protected void firePropertyChange(String propertyName, Object oldValue, Object newValue)

  Initiates the event of updating the specified property with the new value passed as a parameter.
  Parameters:
    propertyName`String` - name of the property to be changed
    oldValue - `Object` value to be changed
    newValue - `Object` new value of this property

### getPropertyEditor

    public PropertyEditor getPropertyEditor()

  Returns the editor for this property if it's specified through setPropertyEditor, otherwise returns `null`. If the editor class is specified by the #IdeInspectorProperty(Class, Class) then returns this editor, otherwise looks for the editor of this property type in `PropertyEditorManager`.

### getValue

    public abstract Object getValue()

  Returns the value of this property.
  Returns: Value as an `Object`.

### getValueType

    public Class getValueType()

  Returns Type of value of this property.
  Returns: `Class` that defines the type of this value

### isReadable

    public abstract boolean isReadable()

  Checks if it is possible to read the value of this property.
  Returns: `true` if it is possible, `false` otherwise.

### isWritable

    public abstract boolean isWritable()

  Checks if it is possible to write the value for this property.
  Returns: `true` if it is possible, `false` otherwise.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Removes specified listener for `PropertyChange` event.
  Parameters:
    listener - `PropertyChangeListener` to be removed

### setPropertyEditor

    public void setPropertyEditor(PropertyEditor editor)

  Sets specified editor for this property.
  Parameters:
    editor - `PropertyEditor` new editor for this property.

### setValue

    public abstract void setValue(Object value)

  Sets value for this property.
  Parameters:
    value - `Object` new value of the property

### update

    public void update()

  Updates this inspector property.

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.Class

to Class java.lang.Class

to Class java.beans.PropertyEditor

to Class java.beans.PropertyChangeSupport

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD